loci.formats.in

## Class TissueFAXSReader.ScanRegion

- java.lang.Object
- - loci.formats.in.TissueFAXSReader.ScanRegion

- Enclosing class:
    TissueFAXSReader

      class TissueFAXSReader.ScanRegion
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<TissueFAXSReader.Channel>` | `channels`
    `java.lang.Integer` | `correctionImageCoreIndex`
    `java.util.HashMap<java.lang.String,java.lang.Integer>` | `correctionImageIDs`
    `java.lang.String` | `file`
    `java.util.HashMap<java.lang.String,loci.common.Region>` | `fovs`
    `int` | `fullResolutionCoreIndex`
    `int` | `id`
    `int` | `overlapX`
    `int` | `overlapY`
    `org.json.JSONObject` | `regionMetadata`
    `java.util.List<java.lang.Integer>` | `resolutions`
    `int` | `scaleFactor`
    `int[]` | `tileRangeX`
    `int[]` | `tileRangeY`
    `int` | `tileSizeX`
    `int` | `tileSizeY`
    `int` | `timepoint`
    `java.lang.Integer` | `tmaX`
    `java.lang.Integer` | `tmaY`
    `java.lang.Integer[]` | `zSteps`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanRegion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parseJSON()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### file

          public java.lang.String file

    - #### regionMetadata

          public org.json.JSONObject regionMetadata

    - #### id

          public int id

    - #### fullResolutionCoreIndex

          public int fullResolutionCoreIndex

    - #### correctionImageCoreIndex

          public java.lang.Integer correctionImageCoreIndex

    - #### resolutions

          public java.util.List<java.lang.Integer> resolutions

    - #### tileSizeX

          public int tileSizeX

    - #### tileSizeY

          public int tileSizeY

    - #### overlapX

          public int overlapX

    - #### overlapY

          public int overlapY

    - #### scaleFactor

          public int scaleFactor

    - #### tileRangeX

          public int[] tileRangeX

    - #### tileRangeY

          public int[] tileRangeY

    - #### zSteps

          public java.lang.Integer[] zSteps

    - #### timepoint

          public int timepoint

    - #### channels

          public java.util.List<TissueFAXSReader.Channel> channels

    - #### fovs

          public java.util.HashMap<java.lang.String,loci.common.Region> fovs

    - #### correctionImageIDs

          public java.util.HashMap<java.lang.String,java.lang.Integer> correctionImageIDs

    - #### tmaX

          public java.lang.Integer tmaX

    - #### tmaY

          public java.lang.Integer tmaY

  - ### Constructor Detail

    - #### ScanRegion

          ScanRegion()

  - ### Method Detail

    - #### parseJSON

          public void parseJSON()

Copyright © 2026 Open Microscopy Environment